void optime()
{
    MJOptimize opt;
    opt.SetDebug(2);
    opt.SetOptimizer(MJOptimize::kMigrad);
    opt.EnableTestTrain();

    opt.AddParameter("MHillas.fSize"); 
    opt.AddParameter("MPointingPos.fZd");

    opt.SetParameter(0,  0.6,            0, 1000);
    opt.SetParameter(1,  0.0005,    0, 1000);
    opt.SetParameter(2,  0.89,       0, 1000);
    opt.FixParameter(3,  0,        -1000, 1000);
    opt.FixParameter(4,  0,        -1000, 1000);
    opt.FixParameter(5,  0,        -1000, 1000);
    opt.FixParameter(6,  0,        -1000, 1000);
    //opt.SetParameter(4,  0,        -1000, 1000);

    MStatusDisplay *d = new MStatusDisplay;
    opt.SetDisplay(d);

    char *r = "([0]+(M[1]^2*[1]))*pow(M[0] + [3]*M[0]^2, [2])";

    opt.RunEnergy("ganymed00000999-result.root", r);
    //opt.RunEnergy("~/Software/mcwobble/img-abs/*_I_MonteCarlo[0123456789]_E.root", r);
}
